
From: David Gibson <david@gibson.dropbear.id.au>

Squash a couple of "pointer from integer" warnings recently introduced.

Signed-off-by: David Gibson <dwg@au1.ibm.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc64/kernel/process.c   |    2 +-
 25-akpm/arch/ppc64/kernel/sys_ppc32.c |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff -puN arch/ppc64/kernel/process.c~ppc64-squash-childregs-warnings arch/ppc64/kernel/process.c
--- 25/arch/ppc64/kernel/process.c~ppc64-squash-childregs-warnings	Thu Sep 30 15:31:01 2004
+++ 25-akpm/arch/ppc64/kernel/process.c	Thu Sep 30 15:31:01 2004
@@ -410,7 +410,7 @@ void start_thread(struct pt_regs *regs, 
 		unsigned long childregs = (unsigned long)current->thread_info +
 						THREAD_SIZE;
 		childregs -= sizeof(struct pt_regs);
-		current->thread.regs = childregs;
+		current->thread.regs = (struct pt_regs *)childregs;
 	}
 
 	regs->nip = entry;
diff -puN arch/ppc64/kernel/sys_ppc32.c~ppc64-squash-childregs-warnings arch/ppc64/kernel/sys_ppc32.c
--- 25/arch/ppc64/kernel/sys_ppc32.c~ppc64-squash-childregs-warnings	Thu Sep 30 15:31:01 2004
+++ 25-akpm/arch/ppc64/kernel/sys_ppc32.c	Thu Sep 30 15:31:01 2004
@@ -645,7 +645,7 @@ void start_thread32(struct pt_regs* regs
 		unsigned long childregs = (unsigned long)current->thread_info +
 						THREAD_SIZE;
 		childregs -= sizeof(struct pt_regs);
-		current->thread.regs = childregs;
+		current->thread.regs = (struct pt_regs *)childregs;
 	}
 
 	/*
_
